<template >
    <div>
        <v-container>
            <v-row>
                <v-col sm="12" align-self="center" align="center" justify="center">
                    <v-card max-width="720">
                        <v-card-title>
                            Faire une annonce
                        </v-card-title>
                        <v-card-text>
                            <v-row>
                                <v-col>
                                    <v-tabs v-model="annonceType">
                                        <v-tab>Voiture</v-tab>
                                        <v-tab>Service</v-tab>
                                        <v-tab>Materiel</v-tab>
                                    </v-tabs>
                                </v-col>
                            </v-row>
                            <v-row>
                                <v-col>
                                    <v-tabs-items v-model="annonceType">
                                        <v-tab-item>
                                            <annonceVehicule/>
                                        </v-tab-item>
                                        <v-tab-item>
                                            <annonceService/>
                                        </v-tab-item>
                                        <v-tab-item>
                                            <AnnonceMateriel/>
                                        </v-tab-item>
                                    </v-tabs-items>
                                </v-col>
                            </v-row>
                        </v-card-text>
                    </v-card>   
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>
<script>import AnnonceMateriel from '../components/annonceMateriel.vue'

import annonceService from '../components/annonceService.vue'
import AnnonceVehicule from '../components/annonceVehicule.vue'
export default {
  components: {
    AnnonceMateriel, annonceService, AnnonceVehicule },
    name:"annonce-creation",
    data: ()=>({
        annonceType: null,
    })
}
</script>